{
  ...
}: {

  programs.firefox = {
    enable = true;
    profiles = {

      programs.firefox.profiles = {
        main = {
          id = 0;
          settings = {
            "browser.uidensity" = 1;
            "identity.fxaccounts.account.device.name" = config.networking.hostName;
            "privacy.trackingprotection.enabled" = true;
            "privacy.trackingprotection.socialtracking.enabled" = true;
            "privacy.trackingprotection.socialtracking.annotate.enabled" = true;
            "services.sync.declinedEngines" = "passwords";
            "services.sync.engine.passwords" = false;
            "toolkit.legacyUserProfileCustomizations.stylesheets" = true;
          };
          userChrome = builtins.readFile ./userChrome.css;
        };
      };
    };
  };
  
 
 }
